<nav>
	<style>
		@scope {
			:scope {
				background: #00998c;
				height: minmax(100vh, 100%);
				width: 360px;
				color: white;
				padding: 1rem;
				display: flex;
				flex-direction: column;
			}

			#sidenav-header {
				display: grid;
				grid-template-columns: 1fr auto;
				align-items: start;

				p {
					line-height: 1;
				}

				#span-painel {
					font-size: 0.875rem;
					line-height: 1.25rem;

					line-height: 1;
					text-wrap: nowrap;
				}

				#brand-name {
					font-weight: bold;
					font-size: 1.875rem;
					line-height: 1;
				}

				img {
					height: auto;
					width: 80px;
				}
			}


			#sidenav-user {
				line-height: 1.2;
				text-wrap: nowrap;
				margin: 1rem 0;

				span {
					font-weight: bold;
				}

				a {
					text-wrap: nowrap;
					font-size: 0.875rem;
					text-decoration: underline;
					display: block;
					text-align: left;
				}
			}

			#sidenav-links {
				margin-bottom: auto;

				&>p {
					font-weight: bold;
					text-transform: uppercase
				}

				a {

					border: 1px solid rgba(255 255 255 / .2);
					background: rgba(0 0 0 / 10%);
					overflow: hidden;
					transition: all 150ms;
						padding: 12px 1rem;
					width: 100%;
					display: block;
					margin-top: .5rem;

					svg {
						display: inline;
						margin-inline-end: .5rem;
						font-size: 20px;
					}

					&:hover {

						background: rgba(0 0 0 / 30%);
					}

				}
			}

			#sidenav-version {
				font-size: 0.875rem;
				text-transform: uppercase;
				display: block;
				margin-top: auto;
			}
		}
	</style>

	<div id="sidenav-header">
		<p>
			<span id="span-painel">
				Painel administrativo
			</span>
			<br />
			<span id="brand-name">BikeSP</span>
		</p>
		<img src="{{ url_for ('bikesp.static', filename='bike.webp')}}" />
	</div>

	<p id="sidenav-user">
		Seja bem-vindo(a),
		<br />
		<span>Usuário</span>.
		<a href="{{ url_for('bikesp._admin_signout') }}">
			Desconectar
		</a>
	</p>

	<section id="sidenav-links" hx-boost="true">
		<p>
			Navegação
		</p>
		<ul>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_inicio') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<g fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
							<path d="M15 21v-8a1 1 0 0 0-1-1h-4a1 1 0 0 0-1 1v8" />
							<path
								d="M3 10a2 2 0 0 1 .709-1.528l7-5.999a2 2 0 0 1 2.582 0l7 5.999A2 2 0 0 1 21 10v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z" />
						</g>
					</svg>
					Início
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_insercao_usuarios') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Inserir Usuários
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_bonus') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<g fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2">
							<path
								d="m15.477 12.89l1.515 8.526a.5.5 0 0 1-.81.47l-3.58-2.687a1 1 0 0 0-1.197 0l-3.586 2.686a.5.5 0 0 1-.81-.469l1.514-8.526" />
							<circle cx="12" cy="8" r="6" />
						</g>
					</svg>
					Bônus
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_remuneration') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Remuneração</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_contestacao') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Contestações
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_relatorios') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Relatorios
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_viagens') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Viagens
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_notificacoes') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Notificações
				</a>
			</li>
			<li>
				<a href="{{ url_for('bikesp._admin_dashboard_localizacao') }}"
				   hx-target="next main"
				   hx-swap="outerHTML transition:true"
				   hx-push-url="false">
					<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" viewBox="0 0 24 24">
						<path fill="none" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"
							d="M3 12h.01M3 18h.01M3 6h.01M8 12h13M8 18h13M8 6h13" />
					</svg>
					Localizações
				</a>
			</li>
		</ul>
	</section>

	<section>
		<div id="listener-insercao"></div>
		<div id="listener-notificacao"></div>
	</section>

	<p id="sidenav-version">
		Versão 0.0.1
	</p>
</nav>
